"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const command_1 = require("../../command");
const flags_1 = require("../../flags");
class ShowBlock extends command_1.IronfishCommand {
    async start() {
        const { args } = await this.parse(ShowBlock);
        const search = args.search;
        const client = await this.sdk.connectRpc();
        const data = await client.chain.getBlock({ search });
        this.log(JSON.stringify(data.content, undefined, '  '));
    }
}
ShowBlock.description = 'Show the block header of a requested hash or sequence';
ShowBlock.args = [
    {
        name: 'search',
        parse: (input) => Promise.resolve(input.trim()),
        required: true,
        description: 'The hash or sequence of the block to look at',
    },
];
ShowBlock.flags = {
    ...flags_1.LocalFlags,
};
exports.default = ShowBlock;
//# sourceMappingURL=show.js.map