"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowseCommand = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const sdk_1 = require("@ironfish/sdk");
const core_1 = require("@oclif/core");
const command_1 = require("../command");
const flags_1 = require("../flags");
const utils_1 = require("../utils");
class BrowseCommand extends command_1.IronfishCommand {
    async start() {
        const { flags } = await this.parse(BrowseCommand);
        const dataDir = this.sdk.fileSystem.resolve(this.sdk.dataDir);
        if (flags.cd) {
            this.log(dataDir);
            this.exit(0);
        }
        this.log('Browsing to ' + dataDir);
        const launched = utils_1.PlatformUtils.browse(dataDir);
        if (!launched) {
            this.error(`Could not browse to ${dataDir} on ${sdk_1.Platform.getName()}`);
        }
    }
}
BrowseCommand.description = `Browse to your data directory`;
BrowseCommand.flags = {
    [flags_1.ConfigFlagKey]: flags_1.ConfigFlag,
    [flags_1.DataDirFlagKey]: flags_1.DataDirFlag,
    cd: core_1.Flags.boolean({
        default: false,
        description: 'print the directory where the data directory is',
    }),
};
exports.BrowseCommand = BrowseCommand;
//# sourceMappingURL=browse.js.map