"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BroadcastCommand = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const core_1 = require("@oclif/core");
const command_1 = require("../../command");
const flags_1 = require("../../flags");
class BroadcastCommand extends command_1.IronfishCommand {
    async start() {
        const { args } = await this.parse(BroadcastCommand);
        const transaction = args.transaction;
        core_1.CliUx.ux.action.start(`Broadcasting transaction`);
        const client = await this.sdk.connectRpc();
        const response = await client.chain.broadcastTransaction({ transaction });
        if (response.content) {
            core_1.CliUx.ux.action.stop(`Transaction broadcasted: ${response.content.hash}`);
        }
    }
}
BroadcastCommand.description = `Broadcast a transaction to the network`;
BroadcastCommand.flags = {
    ...flags_1.RemoteFlags,
};
BroadcastCommand.args = [
    {
        name: 'transaction',
        required: true,
        description: 'The transaction in hex encoding',
    },
];
exports.BroadcastCommand = BroadcastCommand;
//# sourceMappingURL=broadcast.js.map