"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const args_1 = require("../../args");
const command_1 = require("../../command");
const flags_1 = require("../../flags");
class Show extends command_1.IronfishCommand {
    async start() {
        const { args } = await this.parse(Show);
        const start = args.start;
        const stop = args.stop;
        this.log(`Getting the chain blocks...`);
        await this.sdk.client.connect();
        const data = await this.sdk.client.chain.showChain({ start, stop });
        data.content.content.forEach((content) => this.log(content));
    }
}
Show.description = 'Show the heaviest chain';
Show.flags = {
    ...flags_1.LocalFlags,
};
Show.args = [
    {
        name: 'start',
        parse: (input) => Promise.resolve((0, args_1.parseNumber)(input)),
        default: -50,
        required: false,
        description: 'The sequence to start at (inclusive, genesis block is 1)',
    },
    {
        name: 'stop',
        parse: (input) => Promise.resolve((0, args_1.parseNumber)(input)),
        required: false,
        description: 'The sequence to end at (inclusive)',
    },
];
exports.default = Show;
//# sourceMappingURL=show.js.map