"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShowCommand = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const core_1 = require("@oclif/core");
const json_colorizer_1 = __importDefault(require("json-colorizer"));
const command_1 = require("../../command");
const flags_1 = require("../../flags");
const flags_2 = require("../../flags");
class ShowCommand extends command_1.IronfishCommand {
    async start() {
        const { flags } = await this.parse(ShowCommand);
        const client = await this.sdk.connectRpc(flags.local);
        const response = await client.config.getConfig({ user: flags.user });
        let output = JSON.stringify(response.content, undefined, '   ');
        if (flags.color) {
            output = (0, json_colorizer_1.default)(output);
        }
        this.log(output);
    }
}
ShowCommand.description = `Print out the entire config`;
ShowCommand.flags = {
    ...flags_2.RemoteFlags,
    [flags_1.ColorFlagKey]: flags_1.ColorFlag,
    user: core_1.Flags.boolean({
        description: 'Only show config from the users datadir and not overrides',
    }),
    local: core_1.Flags.boolean({
        default: false,
        description: 'Dont connect to the node when displaying the config',
    }),
};
exports.ShowCommand = ShowCommand;
//# sourceMappingURL=index.js.map