"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RevertCommand = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const command_1 = require("../../command");
const flags_1 = require("../../flags");
class RevertCommand extends command_1.IronfishCommand {
    async start() {
        await this.parse(RevertCommand);
        const node = await this.sdk.node();
        await node.migrator.revert();
    }
}
RevertCommand.description = `Revert the last run migration`;
RevertCommand.hidden = true;
RevertCommand.flags = {
    [flags_1.ConfigFlagKey]: flags_1.ConfigFlag,
    [flags_1.DataDirFlagKey]: flags_1.DataDirFlag,
};
exports.RevertCommand = RevertCommand;
//# sourceMappingURL=revert.js.map