"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StartCommand = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const core_1 = require("@oclif/core");
const command_1 = require("../../command");
const flags_1 = require("../../flags");
class StartCommand extends command_1.IronfishCommand {
    async start() {
        const { flags } = await this.parse(StartCommand);
        const node = await this.sdk.node();
        await node.migrator.migrate({ quiet: flags.quiet, dryRun: flags.dry });
    }
}
StartCommand.description = `Run migrations`;
StartCommand.flags = {
    ...flags_1.LocalFlags,
    [flags_1.ConfigFlagKey]: flags_1.ConfigFlag,
    [flags_1.DataDirFlagKey]: flags_1.DataDirFlag,
    dry: core_1.Flags.boolean({
        default: false,
        description: 'Dry run migrations first',
        hidden: true,
    }),
    quiet: core_1.Flags.boolean({
        char: 'q',
        default: false,
    }),
};
exports.StartCommand = StartCommand;
//# sourceMappingURL=start.js.map