import { FullNode } from '@ironfish/sdk';
import { IronfishCommand, SIGNALS } from '../command';
export declare const ENABLE_TELEMETRY_CONFIG_KEY = "enableTelemetry";
export default class Start extends IronfishCommand {
    static description: string;
    static flags: {
        verbose: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        config: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        datadir: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        "rpc.ipc": {
            allowNo: boolean;
            name: string;
            char?: import("@oclif/core/lib/interfaces").AlphabetLowercase | import("@oclif/core/lib/interfaces").AlphabetUppercase | undefined;
            summary?: string | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            helpGroup?: string | undefined;
            env?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            exactlyOne?: string[] | undefined;
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[] | undefined;
            deprecated?: true | import("@oclif/core/lib/interfaces/parser").Deprecation | undefined;
            aliases?: string[] | undefined;
            deprecateAliases?: boolean | undefined;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<boolean, boolean, any>;
            type: "boolean";
            default?: import("@oclif/core/lib/interfaces").Default<boolean, Record<string, unknown>> | undefined;
        };
        "rpc.tcp": {
            allowNo: boolean;
            name: string;
            char?: import("@oclif/core/lib/interfaces").AlphabetLowercase | import("@oclif/core/lib/interfaces").AlphabetUppercase | undefined;
            summary?: string | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            helpGroup?: string | undefined;
            env?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            exactlyOne?: string[] | undefined;
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[] | undefined;
            deprecated?: true | import("@oclif/core/lib/interfaces/parser").Deprecation | undefined;
            aliases?: string[] | undefined;
            deprecateAliases?: boolean | undefined;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<boolean, boolean, any>;
            type: "boolean";
            default?: import("@oclif/core/lib/interfaces").Default<boolean, Record<string, unknown>> | undefined;
        };
        "rpc.http": {
            allowNo: boolean;
            name: string;
            char?: import("@oclif/core/lib/interfaces").AlphabetLowercase | import("@oclif/core/lib/interfaces").AlphabetUppercase | undefined;
            summary?: string | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            helpGroup?: string | undefined;
            env?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            exactlyOne?: string[] | undefined;
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[] | undefined;
            deprecated?: true | import("@oclif/core/lib/interfaces/parser").Deprecation | undefined;
            aliases?: string[] | undefined;
            deprecateAliases?: boolean | undefined;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<boolean, boolean, any>;
            type: "boolean";
            default?: import("@oclif/core/lib/interfaces").Default<boolean, Record<string, unknown>> | undefined;
        };
        "rpc.tcp.tls": import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        "rpc.auth": import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        "rpc.tcp.host": import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        "rpc.tcp.port": import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        "rpc.http.host": import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        "rpc.http.port": import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        bootstrap: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined>;
        port: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        workers: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        graffiti: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        name: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        listen: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        forceMining: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        logPeerMessages: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        generateNewIdentity: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        upgrade: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        networkId: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        customNetwork: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        wallet: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    node: FullNode | null;
    /**
     * This promise is used to wait until start is finished beforer closeFromSignal continues
     * because you can cause errors if you attempt to shutdown while the node is still starting
     * up to reduce shutdown hanging, start should cancel if it detects this.isClosing is true
     * and resolve this promise
     */
    startDonePromise: Promise<void> | null;
    start(): Promise<void>;
    closeFromSignal(signal: SIGNALS): Promise<void>;
    /**
     * Information displayed the first time a node is running
     */
    firstRun(node: FullNode): Promise<void>;
    /**
     * Information displayed if there is no default account for the node
     */
    setDefaultAccount(node: FullNode): Promise<void>;
}
//# sourceMappingURL=start.d.ts.map