import { RpcClient } from '@ironfish/sdk';
import { IronfishCommand } from '../../command';
export declare class Mint extends IronfishCommand {
    static description: string;
    static examples: string[];
    static flags: {
        account: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        fee: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        feeRate: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        amount: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        assetId: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        metadata: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        name: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        confirm: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        confirmations: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        rawTransaction: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        expiration: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        offline: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        watch: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        transferOwnershipTo: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
    };
    start(): Promise<void>;
    confirm(account: string, amount: bigint, fee: bigint, assetId?: string, name?: string, metadata?: string, transferOwnershipTo?: string): Promise<boolean>;
    isAssetOwner(client: RpcClient, assetId: string, ownerPublicKey: string): Promise<boolean>;
}
//# sourceMappingURL=mint.d.ts.map