"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RenameCommand = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const command_1 = require("../../command");
const flags_1 = require("../../flags");
class RenameCommand extends command_1.IronfishCommand {
    async start() {
        const { args } = await this.parse(RenameCommand);
        const account = args.account;
        const newName = args['new-name'];
        const client = await this.sdk.connectRpc();
        await client.wallet.renameAccount({ account, newName });
        this.log(`Account ${account} renamed to ${newName}`);
    }
}
RenameCommand.description = 'Change the name of an account';
RenameCommand.args = [
    {
        name: 'account',
        required: true,
        description: 'Name of the account to rename',
    },
    {
        name: 'new-name',
        required: true,
        description: 'New name to assign to the account',
    },
];
RenameCommand.flags = {
    ...flags_1.RemoteFlags,
};
exports.RenameCommand = RenameCommand;
//# sourceMappingURL=rename.js.map