import { GetAccountTransactionsResponse, PartialRecursive, RpcAsset } from '@ironfish/sdk';
import { CliUx } from '@oclif/core';
import { IronfishCommand } from '../../command';
import { Format } from '../../utils/table';
export declare class TransactionsCommand extends IronfishCommand {
    static description: string;
    static flags: {
        hash: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        sequence: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        limit: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        offset: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        confirmations: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        notes: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        columns: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        filter: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        csv: import("@oclif/core/lib/interfaces").Flag<boolean>;
        output: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        extended: import("@oclif/core/lib/interfaces").Flag<boolean>;
        'no-truncate': import("@oclif/core/lib/interfaces").Flag<boolean>;
        'no-header': import("@oclif/core/lib/interfaces").Flag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    start(): Promise<void>;
    getTransactionRows(assetLookup: {
        [key: string]: RpcAsset;
    }, transaction: GetAccountTransactionsResponse, format: Format): PartialRecursive<TransactionRow>[];
    getTransactionRowsByNote(assetLookup: {
        [key: string]: RpcAsset;
    }, transaction: GetAccountTransactionsResponse, format: Format): PartialRecursive<TransactionRow>[];
    getColumns(extended: boolean, notes: boolean, format: Format): CliUx.Table.table.Columns<PartialRecursive<TransactionRow>>;
    getRowGroup(index: number, assetCount: number, assetRowCount: number): string;
}
type TransactionRow = {
    group?: string;
    timestamp: number;
    status: string;
    type: string;
    hash: string;
    assetId: string;
    assetName: string;
    amount: bigint;
    feePaid?: bigint;
    notesCount: number;
    spendsCount: number;
    mintsCount: number;
    burnsCount: number;
    expiration: number;
    submittedSequence: number;
    sender: string;
    recipient: string;
};
export {};
//# sourceMappingURL=transactions.d.ts.map