"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UseCommand = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const command_1 = require("../../command");
const flags_1 = require("../../flags");
class UseCommand extends command_1.IronfishCommand {
    async start() {
        const { args } = await this.parse(UseCommand);
        const account = args.account;
        const client = await this.sdk.connectRpc();
        await client.wallet.useAccount({ account });
        this.log(`The default account is now: ${account}`);
    }
}
UseCommand.description = 'Change the default account used by all commands';
UseCommand.args = [
    {
        name: 'account',
        required: true,
        description: 'Name of the account',
    },
];
UseCommand.flags = {
    ...flags_1.RemoteFlags,
};
exports.UseCommand = UseCommand;
//# sourceMappingURL=use.js.map