import { Interfaces } from '@oclif/core';
type CompletableOptionFlag = Interfaces.CompletableOptionFlag<unknown>;
export declare const VerboseFlagKey = "verbose";
export declare const ConfigFlagKey = "config";
export declare const ColorFlagKey = "color";
export declare const DataDirFlagKey = "datadir";
export declare const RpcUseIpcFlagKey = "rpc.ipc";
export declare const RpcUseTcpFlagKey = "rpc.tcp";
export declare const RpcTcpHostFlagKey = "rpc.tcp.host";
export declare const RpcTcpPortFlagKey = "rpc.tcp.port";
export declare const RpcUseHttpFlagKey = "rpc.http";
export declare const RpcHttpHostFlagKey = "rpc.http.host";
export declare const RpcHttpPortFlagKey = "rpc.http.port";
export declare const RpcTcpTlsFlagKey = "rpc.tcp.tls";
export declare const RpcAuthFlagKey = "rpc.auth";
export declare const VerboseFlag: Interfaces.BooleanFlag<boolean>;
export declare const ColorFlag: Interfaces.BooleanFlag<boolean>;
export declare const ConfigFlag: Interfaces.OptionFlag<string>;
export declare const DataDirFlag: Interfaces.OptionFlag<string>;
export declare const RpcUseIpcFlag: Interfaces.BooleanFlag<boolean>;
export declare const RpcUseTcpFlag: Interfaces.BooleanFlag<boolean>;
export declare const RpcTcpHostFlag: Interfaces.OptionFlag<string | undefined>;
export declare const RpcTcpPortFlag: Interfaces.OptionFlag<number | undefined>;
export declare const RpcTcpTlsFlag: Interfaces.BooleanFlag<boolean>;
export declare const RpcAuthFlag: Interfaces.OptionFlag<string | undefined>;
export declare const RpcHttpHostFlag: Interfaces.OptionFlag<string | undefined>;
export declare const RpcHttpPortFlag: Interfaces.OptionFlag<number | undefined>;
export declare const RpcUseHttpFlag: Interfaces.BooleanFlag<boolean>;
/**
 * These flags should usually be used on any command that starts a node,
 * or uses a database to execute the command
 */
export declare const LocalFlags: Record<string, CompletableOptionFlag>;
/**
 * These flags should usually be used on any command that uses an
 * RPC client to connect to a node to run the command
 */
export declare const RemoteFlags: Record<string, CompletableOptionFlag>;
export type IronOpts = {
    minimum?: bigint;
    flagName: string;
};
export declare const IronFlag: Interfaces.Definition<bigint, IronOpts>;
export declare const parseIron: (input: string, opts: IronOpts) => Promise<bigint>;
export declare const HexFlag: Interfaces.Definition<string, Record<string, unknown>>;
export {};
//# sourceMappingURL=flags.d.ts.map