"use strict";
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-console */
const sdk_1 = require("@ironfish/sdk");
const package_1 = require("../package");
// eslint-disable-next-line @typescript-eslint/require-await
const VersionHook = async () => {
    const isVersionCmd = process.argv[2] === 'version';
    const hasDashVersion = process.argv.some((a) => a === '--version');
    const showVersion = isVersionCmd || hasDashVersion;
    if (showVersion) {
        const runtime = sdk_1.Platform.getRuntime();
        console.log(`name       ${package_1.IronfishCliPKG.name}`);
        console.log(`version    ${package_1.IronfishCliPKG.version}`);
        console.log(`git        ${package_1.IronfishCliPKG.git}`);
        console.log(`runtime    ${runtime.type}/${runtime.runtime}`);
        return process.exit(0);
    }
};
exports.default = VersionHook;
//# sourceMappingURL=version.js.map