import { IronfishSdk } from '@ironfish/sdk';
export type SnapshotManifest = {
    block_sequence: number;
    checksum: string;
    file_name: string;
    file_size: number;
    timestamp: number;
    database_version: number;
};
export declare const DEFAULT_MAINNET_MANIFEST_URL = "https://snapshots.ironfish.network/manifest.json";
export declare const DEFAULT_TESTNET_MANIFEST_URL = "https://testnet.snapshots.ironfish.network/manifest.json";
export declare const getDefaultManifestUrl: (networkId: number) => string | null;
export declare class SnapshotDownloader {
    nodeChainDBVersion: number;
    manifestUrl: string;
    dest: string;
    _manifest?: SnapshotManifest;
    constructor(manifestUrl: string, dest: string, nodeChainDBVersion: number);
    manifest(): Promise<SnapshotManifest>;
    snapshotURL(): Promise<string>;
    snapshotPath(): Promise<string>;
    download(onDownloadProgress: (prev: number, curr: number) => void): Promise<void>;
    verifyChecksum(options: {
        cleanup: boolean;
    }): Promise<string | null>;
}
export declare class DownloadedSnapshot {
    private sdk;
    readonly file: string;
    constructor(sdk: IronfishSdk, file: string);
    get chainDatabasePath(): string;
    get snapshotDatabasePath(): string;
    unzip(onEntry: (totalEntries: number, prevExtracted: number, currExtracted: number) => void): Promise<void>;
    replaceDatabase(): Promise<void>;
}
//# sourceMappingURL=snapshot.d.ts.map