/// <reference types="node" />
import { Event, Logger, MessageBuffer } from '@ironfish/sdk';
import net from 'net';
export declare class CeremonyClient {
    readonly socket: net.Socket;
    readonly host: string;
    readonly port: number;
    readonly logger: Logger;
    readonly messageBuffer: MessageBuffer;
    private stopPromise;
    private stopResolve;
    readonly onJoined: Event<[{
        queueLocation: number;
        estimate: number;
    }]>;
    readonly onInitiateUpload: Event<[{
        uploadLink: string;
    }]>;
    readonly onInitiateContribution: Event<[{
        downloadLink: string;
        contributionNumber: number;
    }]>;
    readonly onContributionVerified: Event<[{
        hash: string;
        downloadLink: string;
        contributionNumber: number;
    }]>;
    readonly onStopRetry: Event<[{
        error: string;
    }]>;
    constructor(options: {
        host: string;
        port: number;
        logger: Logger;
    });
    start(): Promise<string | null>;
    stop(stopRetries: boolean): void;
    waitForStop(): Promise<{
        stopRetries: boolean;
    }>;
    contributionComplete(): void;
    join(name: string, token?: string): void;
    uploadComplete(): void;
    private send;
    private onDisconnect;
    private onError;
    private onData;
}
//# sourceMappingURL=client.d.ts.map