"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.launchEditor = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const sdk_1 = require("@ironfish/sdk");
const child_process_1 = require("child_process");
function launchEditor(file, config) {
    let editor = process.env.EDITOR;
    if (!editor && config) {
        editor = config.get('editor');
    }
    if (!editor) {
        throw new Error(`you must set the EDITOR environment variable or 'editor' in the ironfish config`);
    }
    return new Promise((resolve, reject) => {
        sdk_1.Assert.isNotUndefined(editor);
        const process = (0, child_process_1.spawn)(editor, [file], { stdio: 'inherit' });
        process.on('exit', (code) => resolve(code));
        process.on('error', (error) => reject(error));
    });
}
exports.launchEditor = launchEditor;
//# sourceMappingURL=editor.js.map